Proxies on entity types in the default package lead to MappingException with JDK9+

Description

Same bug as HHH-13112, but on the 5.3 branch. Caused by the upgrade to bytebuddy 1.9.4.

We should upgrade to at least 1.9.5 to solve this.

Environment

None

Activity

Show:
Gail Badner
February 25, 2019, 8:46 PM

Resolving as a duplicate of HHH-13112, since commits are made against HHH-13112.

Assignee

Yoann Rodière

Reporter

Yoann Rodière

Fix versions

None

Labels

None

backPortable

None

Suitable for new contributors

None

Requires Release Note

None

Pull Request

None

backportDecision

None

Components

Affects versions

Priority

Major
Configure